JavaScript
const options = {method: 'GET', headers: {'X-Browser-Use-API-Key': '<api-key>'}}; fetch('https://api.browser-use.com/api/v3/workspaces/{workspace_id}/files', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "files": [ { "path": "<string>", "size": 123, "lastModified": "2023-11-07T05:31:56Z", "url": "<string>" } ], "folders": [ "<string>" ], "nextCursor": "<string>", "hasMore": false }
List files in a workspace’s S3 prefix.
1 <= x <= 100
Successful Response
Paginated file listing with optional presigned download URLs.
Show child attributes
Immediate sub-folder names at this prefix level
Cursor for the next page. Pass as the cursor query parameter to fetch the next page.
cursor
Whether there are more files beyond this page.
Was this page helpful?